;WoW Search
;send a query to search several web-sites
;requested by sabot7726
;Source: http://www.donationcoder.com/Forums/bb/index.php?topic=12816.0

#Persistent
#SingleInstance force
#NoEnv ; Recommended for performance and compatibility with future AutoHotkey releases.

SendMode Input
DetectHiddenWindows On
SetTitleMatchMode 2	;  
appname=WoW Search
vernum=1.0
InfoNone=0
FileInstall, images.jpg, images.jpg, 1

If Not A_IsCompiled
  Menu, Tray, Icon, favicon.ico, 0
GoSub, MainGUI
Return

MainGUI:
FontName=Verdana
Gui, Font, s09, %FontName%
Gui, Add, Picture, x6 y18 w134 h76 gDCForum, images.jpg
Gui, Add, Text, x156 y10 w170 h20, Player name
Gui, Add, Edit, x156 y30 w170 h20 vPlayerName,
Gui, Add, Text, x156 y60 w170 h20, Realm
Gui, Add, Edit, x156 y80 w170 h20 vRealm, Balnazzar
Gui, Add, GroupBox, x6 y110 w350 h210, Websites to search 
Gui, Add, Checkbox, x16 y130 w320 h30 vWorldofwarcraft, World of Warcraft forums
Gui, Add, Checkbox, x16 y160 w320 h30 vThottbot, Thottbot
Gui, Add, Checkbox, x16 y190 w320 h30 vWowhead, Wowhead
Gui, Add, Checkbox, x16 y220 w320 h30 vWarcraftrealms, Warcraft Realms
Gui, Add, Checkbox, x16 y250 w320 h30 vWowarmory, Wow Armory
Gui, Add, Checkbox, x16 y280 w320 h30 vRepCalc, WoW Rep Calculator
Gui, Add, Button, x6 y335 w110 h28 gSearchAll, Search All
Gui, Add, Button, x126 y335 w110 h28 gSearchSelected, Search Selected
Gui, Add, Button, x246 y335 w110 h28 gExit, E&xit 
Gui, Show, x463 y232 h380 w364 Center, %appname% v%vernum%
Return

SearchWeb:
Gui, Submit, NoHide
If PlayerName=
{
  MsgBox, Please enter the necessary info.
  InfoNone=1
  Return
}
Else
{
Site1=http://forums.worldofwarcraft.com/search.html?stationId=1&forumId=11145&characterName=%PlayerName%
Site2=http://www.thottbot.com/?s=%PlayerName%
Site3=http://www.wowhead.com/?search=%PlayerName%
Site4=http://www.warcraftrealms.com/search.php?search=%PlayerName%
Site5=http://www.wowarmory.com/character-sheet.xml?n=%PlayerName%&r=%Realm%
Site6=http://wowreputationcalculator.com/index.php?name=%PlayerName%&realm=%Realm%&country=US
InfoNone=0
}
Return

SearchAll:
GoSub, SearchWeb
If InfoNone=0
{
  IfExist, %A_ScriptDir%\index.html
    FileDelete, %A_ScriptDir%\index.html 
  FileAppend,
  (
  <html>
  <title>%appname% v%vernum%</title>
  <frameset rows="50`%,50`%" cols="33`%,33`%,33`%">
  <frame src="%Site1%">
  <frame src="%Site2%">
  <frame src="%Site3%">
  <frame src="%Site4%">
  <frame src="%Site5%">
  <frame src="%Site6%">
  </frameset>
  </html>
  ), %A_ScriptDir%\index.html
  Sleep, 100
  Run, %A_ScriptDir%\index.html
}
Return

SearchSelected:
GoSub, SearchWeb
If InfoNone=0
{
SitetoSearch=0
OpenThisSite=
If Worldofwarcraft=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=<frame src="%Site1%">
}
If Thottbot=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=%OpenThisSite%%A_Space%<frame src="%Site2%">
}
If Wowhead=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=%OpenThisSite%%A_Space%<frame src="%Site3%">
}
If Warcraftrealms=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=%OpenThisSite%%A_Space%<frame src="%Site4%">
}
If Wowarmory=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=%OpenThisSite%%A_Space%<frame src="%Site5%">
}
If RepCalc=1
{
  SitetoSearch:=SitetoSearch+1
  OpenThisSite=%OpenThisSite%%A_Space%<frame src="%Site6%">
}

If SitetoSearch=6
  HowManyFrames=<frameset rows="50`%,50`%" cols="33`%,33`%,33`%">
Else If SitetoSearch=5
  HowManyFrames=<frameset rows="50`%,50`%" cols="33`%,33`%,33`%">
Else If SitetoSearch=4
  HowManyFrames=<frameset rows="50`%,50`%" cols="50`%,50`%">
Else If SitetoSearch=3
  HowManyFrames=<frameset cols="33`%,33`%,33`%">
Else If SitetoSearch=2
  HowManyFrames=<frameset cols="50`%,50`%">
Else If SitetoSearch=1
  HowManyFrames=<frameset rows="*" cols="*">
Else
  {
  MsgBox, Choose a website.
  Return
  }

IfExist, %A_ScriptDir%\index.html
  FileDelete, %A_ScriptDir%\index.html 
FileAppend,
(
<html>
<title>%appname% v%vernum%</title>
%HowManyFrames%
%OpenThisSite%
</frameset>
</html>
), %A_ScriptDir%\index.html
Sleep, 100
Run, %A_ScriptDir%\index.html
}
Return


DCForum:
Run, http://www.donationcoder.com/Forums/bb/index.php?topic=12816.0 
Return

Exit:
GuiEscape:
GuiClose:
ExitApp
